Subject: Re: running vim on cygwin
From: Reid Thompson <[email-masked]>
To: Kamaraju Kusumanchi <[email-masked]>
Cc: [email-masked]
Date: Tue, 05 Jun 2007 10:32:54 -0400
List-Id: <cygwin.cygwin.com>

On Tue, 2007-06-05 at 07:27 -0700, Kamaraju Kusumanchi wrote:
> Hi
> 
> I installed vim 7.1 via cygwin on Windows XP machine. However, when I run
> vim on the bash shell of cygwin, I am getting the following error.
> 
> E558: Terminal entry not found in terminfo
> 'cygwin' not known. Available builtin terminals are:
> builtin_riscos
> builtin_amiga
> builtin_beos-ansi
> builtin_ansi
> builtin_pcansi
> builtin_win32
> builtin_vt320
> builtin_vt52
> builtin_xterm
> builtin_iris-ansi
> builtin_debug
> builtin_dumb
> defaulting to 'ansi'
> 
> I initially asked about this on the vim mailing list http://tech.groups.yahoo.com/group/vim/message/80886
> 
> In that discussion, it was determined that my terminfo database is not properly installed and readable.
> 
> For example, if I do
> bash-3.2$infocmp
> infocmp: couldn't open terminfo file .
> 
> However, I do not know how to solve the problem. The termcap 20050421-1, terminfo 5.5_20061104-1 are already installed on this system via cygwin.
> 
> All the software is installed via cygwin installer using the http://mirrors.xmission.com mirror. I have neither installed any source packages nor compiled any software on this system. All the packages that were installed are binary.
> 
> The output of
> 
> cygcheck -s -v -r 2>&1 | tee cygcheck.out
> 
> is attached in this email. Please let me know if any other info is needed.
> 
> Any suggestion/ideas would be really appreciated.
> 
> thanks
> raju
> 

Sorry, I thought that i'd replied to the vim mailing list request to run
cygwin's setup.exe again and re-install the problem packages...????

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/